## golang-github-hanwen-go-fuse 0.0~git20150627.0.324ea17

=== benchmark/Makefile ===
cstatfs: statfs.cc
	g++ -O2 -Wall -std=c++0x $< `pkg-config fuse --cflags --libs` -o $@

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20150627.0.324ea17-1) unstable; urgency=low

  * Initial release (Closes: #718273)

 -- Julian Gilbey <jdg@debian.org>  Sun, 13 Sep 2015 11:21:10 +0100

=== debian/control ===
Source: golang-github-hanwen-go-fuse
Section: devel
Priority: extra
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go
Standards-Version: 3.9.6
Homepage: https://github.com/hanwen/go-fuse
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hanwen-go-fuse.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hanwen-go-fuse.git

Package: golang-github-hanwen-go-fuse-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Built-Using: ${misc:Built-Using}
Description: Native Go bindings for the FUSE kernel module
 This package offers native Go bindings for FUSE, and has several features:
 .
  * High speed: as fast as libfuse using the gc compiler for single
    threaded loads.
 .
  * Supports in-process mounting of different FileSystems onto
    subdirectories of the FUSE mount.
 .
  * Supports 3 interfaces for writing filesystems:
    - PathFileSystem: define filesystems in terms path names.
    - NodeFileSystem: define filesystems in terms of inodes.
    - RawFileSystem: define filesystems in terms of FUSE's raw
      wire protocol.
 .
  * Both NodeFileSystem and PathFileSystem support manipulation of true
    hardlinks.
 .
 The package also includes two fleshed out examples, zipfs and unionfs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/hanwen/go-fuse
export DH_GOLANG_EXCLUDES := example
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang
	rm -rf debian/golang-github-hanwen-go-fuse-dev/usr/bin
	rm -rf debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/example
	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/LICENSE
	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/README
	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/CONTRIBUTING
	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/.gitignore
	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/all.bash

override_dh_auto_test:
	# Can't test on autobuilders, so don't run the tests.

## golang-github-hanwen-go-fuse 0.0~git20161210.0.6c2b7d8

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20161210.0.6c2b7d8-2) unstable; urgency=medium

  * Change run-time dependency to golang-any too, completing the change
    introduced in the previous version

 -- Julian Gilbey <jdg@debian.org>  Sun, 11 Dec 2016 10:56:37 +0000

golang-github-hanwen-go-fuse (0.0~git20161210.0.6c2b7d8-1) unstable; urgency=medium

  [ Julian Gilbey ]

  * Update to latest upstream version
  * Depend on golang-any for the build dependency instead of golang-go to
    allow building on other architectures, with thanks to Dave Steele
    (Closes: #847476)

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

 -- Julian Gilbey <jdg@debian.org>  Sat, 10 Dec 2016 21:37:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-go
-Standards-Version: 3.9.6
+               golang-any
+Standards-Version: 3.9.8
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hanwen-go-fuse.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hanwen-go-fuse.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hanwen-go-fuse.git
 
 Package: golang-github-hanwen-go-fuse-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go
+         golang-any
 Built-Using: ${misc:Built-Using}
 Description: Native Go bindings for the FUSE kernel module
  This package offers native Go bindings for FUSE, and has several features:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_GOPKG := github.com/hanwen/go-fuse
-export DH_GOLANG_EXCLUDES := example
+export DH_GOLANG_EXCLUDES := example test
 export DH_GOLANG_INSTALL_ALL := 1
 
 %:

## golang-github-hanwen-go-fuse 0.0~git20170609.0.5690be4

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20170609.0.5690be4-1) unstable; urgency=medium

  * New upstream version
  * Fix building on arm64 and other arches with different page sizes
    (closes: #863994, #864007)

 -- Julian Gilbey <jdg@debian.org>  Wed, 14 Jun 2017 20:01:10 +0100

## golang-github-hanwen-go-fuse 0.0~git20171124.0.14c3015

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20171124.0.14c3015-4) unstable; urgency=medium

  * Switch Maintainer and Uploaders fields around: now the maintainer is
    the pkg-go team.

 -- Julian Gilbey <jdg@debian.org>  Fri, 09 Feb 2018 09:43:53 +0000

golang-github-hanwen-go-fuse (0.0~git20171124.0.14c3015-3) unstable; urgency=medium

  * Team upload.
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 09 Feb 2018 09:23:53 +0100

golang-github-hanwen-go-fuse (0.0~git20171124.0.14c3015-2) unstable; urgency=medium

  * Add golang-golang-x-sys-dev to -dev package Depends (closes: #887737)
  * Add Debian Go Packaging Team to Uploaders

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Jan 2018 15:54:02 +0000

golang-github-hanwen-go-fuse (0.0~git20171124.0.14c3015-1) unstable; urgency=medium

  * New upstream version
  * Great help from Felix Lechner <felix.lechner@lease-up.com> in
    preparing this new release - thanks Felix!  Most of the changes below
    are due to Felix
  * Installing README.md instead of README
  * Use debhelper compat level 11
  * Set Standards-Version: 4.1.3; only change required was to set Priority
    to optional from extra
  * Updated copyright

 -- Julian Gilbey <jdg@debian.org>  Tue, 09 Jan 2018 00:33:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: golang-github-hanwen-go-fuse
 Section: devel
-Priority: extra
-Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>,
+           Michael Stapelberg <stapelberg@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-golang,
-               golang-any
-Standards-Version: 3.9.8
+               golang-any,
+               golang-golang-x-sys-dev
+Standards-Version: 4.1.3
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hanwen-go-fuse.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hanwen-go-fuse.git
+XS-Go-Import-Path: github.com/hanwen/go-fuse
 
 Package: golang-github-hanwen-go-fuse-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-any
+         golang-any,
+         golang-golang-x-sys-dev	 
 Built-Using: ${misc:Built-Using}
 Description: Native Go bindings for the FUSE kernel module
  This package offers native Go bindings for FUSE, and has several features:

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
 
-export DH_GOPKG := github.com/hanwen/go-fuse
 export DH_GOLANG_EXCLUDES := example test
 export DH_GOLANG_INSTALL_ALL := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang
 
+# The .gitignore files should probably not be in the .orig.tar.xz tarball
+# anyway, but in case they are, we'll make sure we delete the .gitignore
+# files
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=golang
 	rm -rf debian/golang-github-hanwen-go-fuse-dev/usr/bin
@@ -15,6 +17,7 @@
 	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/README
 	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/CONTRIBUTING
 	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/.gitignore
+	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/fuse/.gitignore
 	rm -f debian/golang-github-hanwen-go-fuse-dev/usr/share/gocode/src/github.com/hanwen/go-fuse/all.bash
 
 override_dh_auto_test:

## golang-github-hanwen-go-fuse 0.0~git20180807.0.95c6370

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20180807.0.95c6370-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Michael Stapelberg ]
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)
  * Gbp-Dch: Ignore

  [ Felix Lechner ]
  * New upstream version 0.0~git20180807.0.95c6370
  * Set Standards-Version: 4.1.5
  * Added debian/watch under git mode (please adjust branch name)
  * Switched to secure URI for copyright format
  * Removed trailing whitespace from debian/control
  * Removed Built-Using: from debian/control

  [ Julian Gilbey ]
  * Update Standards-Version to 4.2.0
  * No longer install documentation under /usr/share/gocode

 -- Julian Gilbey <jdg@debian.org>  Wed, 22 Aug 2018 19:19:12 +0100

=== debian/watch ===
version=3

opts=mode=git,uversionmangle=s/_git/~git/, \
https://github.com/hanwen/go-fuse.git \
refs/tags/master/(.*) debian uupdate

## golang-github-hanwen-go-fuse 0.0~git20180810.95c6370

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20180810.95c6370-1) unstable; urgency=medium

  * Corrected upstream version number to 0.0~git20180810.95c6370 (also now
    following the Go Packaging Team numbering convention more precisely)
  * Fixed watch file

 -- Julian Gilbey <jdg@debian.org>  Thu, 23 Aug 2018 23:18:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/hanwen/go-fuse
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hanwen-go-fuse.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hanwen-go-fuse.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse.git
 XS-Go-Import-Path: github.com/hanwen/go-fuse
 
 Package: golang-github-hanwen-go-fuse-dev
@@ -19,8 +19,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-any,
-         golang-golang-x-sys-dev	 
-Built-Using: ${misc:Built-Using}
+         golang-golang-x-sys-dev
 Description: Native Go bindings for the FUSE kernel module
  This package offers native Go bindings for FUSE, and has several features:
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_EXCLUDES := example test
-export DH_GOLANG_INSTALL_ALL := 1
+export DH_GOLANG_INSTALL_EXTRA := benchmark/Makefile benchmark/testpaths.txt \
+	benchmark/testpaths.txt zipfs/test.zip
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-github-hanwen-go-fuse 0.0~git20181027.c029b69

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20181027.c029b69-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * Simplify debian/rules now that DH_GOLANG_INSTALL_EXTRA is used
  * New(er) upstream version 0.0_git20181027.c029b69

  [ Felix Lechner ]
  * New upstream version /0.0_git20181015.a53ed6b
  * Update Standards-Version: to 4.2.1

 -- Julian Gilbey <jdg@debian.org>  Mon, 29 Oct 2018 19:50:16 +0000

## golang-github-hanwen-go-fuse 0.0~git20190214.58dcd77

=== debian/changelog ===
golang-github-hanwen-go-fuse (0.0~git20190214.58dcd77-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Feb 2019 14:40:38 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse.git

=== debian/watch ===
version=4

opts=mode=git, \
  https://github.com/hanwen/go-fuse \
  heads/master

## golang-github-hanwen-go-fuse 2.0.3

=== debian/changelog ===
golang-github-hanwen-go-fuse (2.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Adopt new versioning scheme from upstream
  * Adjust d/watch file for new versioning scheme (hardcode dots for conflict)
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13
  * Add Rules-Requires-Root: no to d/control
  * Add Repository and Repository-Browse to d/upstream/metadata

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 17 May 2020 12:42:14 -0700

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse.git

## golang-github-hanwen-go-fuse 2.1.0+git20220112.f57e95b

=== debian/changelog ===
golang-github-hanwen-go-fuse (2.1.0+git20220112.f57e95b-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Standards-Version: 4.6.0.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 May 2022 21:34:51 +1000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,17 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>,
+           Dmitry Smirnov <onlyjob@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev
+# tests
+#    ,golang-golang-x-sync-dev <nocheck>
+#    ,golang-github-kylelemons-godebug-dev <nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse.git

## golang-github-hanwen-go-fuse 2.1.0+git20220822.58a7e14

=== debian/changelog ===
golang-github-hanwen-go-fuse (2.1.0+git20220822.58a7e14-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #948241, #961251)
  * Change section to devel

 -- Julian Gilbey <jdg@debian.org>  Mon, 29 Aug 2022 21:39:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-hanwen-go-fuse
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>,
@@ -9,11 +9,8 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev
-# tests
-#    ,golang-golang-x-sync-dev <nocheck>
-#    ,golang-github-kylelemons-godebug-dev <nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse.git
@@ -23,8 +20,8 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-any,
          golang-golang-x-sys-dev
+Multi-Arch: foreign
 Description: Native Go bindings for the FUSE kernel module
  This package offers native Go bindings for FUSE, and has several features:
  .

## golang-github-hanwen-go-fuse 2.4.2

=== debian/changelog ===
golang-github-hanwen-go-fuse (2.4.2-3) unstable; urgency=high

  * Team upload.
  * Fix build failures on mips for dependant packages, Closes: #1069310

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 May 2024 06:40:12 -0400

golang-github-hanwen-go-fuse (2.4.2-2) unstable; urgency=medium

  * Team Upload.
  * Backport upstream patch to fix FTBFS on i386 (Closes: #1061659)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 09 Feb 2024 23:30:50 +0530

golang-github-hanwen-go-fuse (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.2
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 28 Dec 2023 16:50:22 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-any,
                golang-golang-x-sys-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse.git

## golang-github-hanwen-go-fuse 2.8.0

=== benchmark/Makefile ===
all: cstatfs bulkstat.bin

cstatfs: statfs.cc
	g++ -O2 -Wall -std=c++0x $< `pkg-config fuse --cflags --libs` -o $@

bulkstat.bin: bulkstat/main.go
	(cd bulkstat && go build main.go)
	cp bulkstat/main $@

=== debian/changelog ===
golang-github-hanwen-go-fuse (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.0.
    - Drop upstream patches.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Sat, 06 Sep 2025 19:45:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-any,
                golang-golang-x-sys-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/hanwen/go-fuse
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hanwen-go-fuse.git
